	include 'dix_def.inc'
        integer*4 magic_main_symbol
        parameter (magic_main_symbol = 'MAIS')
	structure /main_symbol/
	  integer*4 ptr_symbols
	  integer*4 ptr_spare_names
	  integer*4 ptr_spare_values
	  integer*4 ptr_spare_values_level
	  integer*4 enters
	  integer*4 removes
	  integer*4 lookups
	  integer*4 rewrites
	  record /vm_zone/ zone_symbol
	  record /vm_zone/ zone_symbol_value
	  integer*4 magic
	end structure
c
        integer*4 magic_symbol
        parameter (magic_symbol = 'SYMB')
	structure /symbol/
	  integer*4 ptr_next
	  integer*4 nk_ast		!pointer to the * in the string
	  integer*4 nk_name
	  character*(max_symbol_name_length) name
	  integer*4 ptr_values
	  integer*4 rewrites
	  integer*4 lookups
	  integer*4 magic
	end structure
c
        integer*4 magic_symbol_value
        parameter (magic_symbol_value = 'SYMV')
c
	structure /symbol_value/
	  integer*4 ptr_next
	  integer*4 level
	  record /value/ value
	  integer*4 rewrites
	  integer*4 lookups
	  integer*4 fixed_type
	  integer*4 link_back
	  integer*4 n_links
	  integer*4 ptr_symbol
	  character*(max_secure_tag_length) secure
	  integer*4 magic
	end structure	  
C
	structure /level/
         union
          map
           integer*4 tval
          end map
          map
           integer*2 depth
           integer*2 struct_level
          end map
         end union
        end structure
